html,
body {
    width: 100%;
    height: 100%;
    font-family: "poppins-medium", sans-serif;
    font-weight: 400;
    font-style: normal;
    background-color:white;
}

/* Typography Import  */

@font-face {
    font-family: 'poppins';
    src: url('./fonts/Poppins-Regular.ttf');
} 

@font-face {
    font-family: 'poppins-medium';
    src: url('./fonts/Poppins-Medium.ttf');
}

@font-face {
    font-family: 'poppins-bold';
    src: url('./fonts/Poppins-Bold.ttf');
} 

em {
    font-variation-settings: "ital" 1;
}

/* Footnotes */

.footnote {
    float: footnote;
    font-family: sans-serif;
}

::footnote-call {
    color: #6d2424;
}

::footnote-marker {
    color: #6d2424;
}

#printBt {
    position: fixed;
    top: 10px;
    right: 10px;
    width: 120px;
    height: 70px;
    background-color: rgba(128, 128, 128,0.8);
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 15px;
    color: white;
    font-size: 9px;
}


img { 
    /*background-color: red; */
    position: absolute;
    page-break-after: always;
    width: 100mm;
 }

/* Page Management */

@media print {
 /*.colorImg {
    mix-blend-mode: multiply;
    height: auto
    object-fit: fit-content;
 } */

    @page {
        /* format this is the page size */
        size: 130mm 200mm;

        /* Margin  */
        margin-top: 10mm;
        margin-left: 32mm;
        margin-right: 32mm;
        margin-bottom: 15mm;

        /* Color */
        color: black;

    }

    /* --------------  Main Content Management */

    #content {
        break-before: right;
        page: content;
    }

    h2 {
        string-set: title content(text);
    }

    .imgContainer {
        width: 100%;
        height: 100%;
    }

    .imgContainer > img {
        width: 100%;
        object-fit: contain;
        /* top : 20%; */
    }

    .pagedjs_sheet:has(img) {
        margin: 0;
    }

    @page content {

        /* Text Management */

        h1 {
            /* Block management */
            margin-top: 0;
            margin-bottom: 5mm;
            display: block;

            text-align: center;

            /* Typeface Management */
            font-weight: 900;
            font-size: 45pt;
            line-height: 1.20;

        }

        h2 {
            /* Block management */
            margin-top: 0;
            margin-bottom: 5mm;
            display: block;

            text-align: center;

            /* Typeface Management */
            font-weight: 900;
            font-size: 30pt;
            line-height: 1.20;
        }

        h3 {
            /* Block management */
            margin-top: 0;
            margin-bottom: 5mm;
            display: block;

            text-align: left;

            /* Typeface Management */
            font-weight: 900;
            font-size: 20pt;
            line-height: 1.20;
        }

    }

    p {
        /* Block management */
        margin-top: 0;
        margin-left: 0mm;
        width: 100%;
        display: block;

        text-align: left;

        /* Typeface Management */
        font-size: 9pt;
        line-height: 1.30;

        page-break-after: always;
    }

    /* pagination and running title */

    @page content:right {

        @bottom-left {
            content: counter(page);
        }

        @bottom-right {
            content: "My title";
        }
    }

    @page content:left {

        @bottom-left {
            content: counter(page);
        }

        @bottom-right {
            content: string(title);
            width: fit-content;
        }
    }
}